> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbluejay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v2/simulations/{simulation_id}

> Get a simulation.

Returns one simulation by `simulation_id`. An unknown `simulation_id` returns 404.## Path parameters

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Headers

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Response

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Status codes| Status | Meaning |
| - | - |
| `200` | Successful Response |
| `422` | Validation Error |## Example request```bash theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
curl --request GET \
  --url https://api.getbluejay.ai/v2/simulations/{simulation_id} \
  --header 'X-API-Key: <api-key>'
```## Example response```json 200 theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
{
  "id": 123,
  "bluejay_as_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_id": 123,
  "name": "<string>",
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z",
  "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "settings": {},
  "type": "max_concurrent",
  "max_concurrent": 123,
  "max_turns": 123,
  "ringing_timeout": 123,
  "inactivity_timeout_seconds": 123,
  "tags": [
    "<string>"
  ],
  "description": "<string>",
  "pinned": true,
  "always_on": true,
  "load_test_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.